> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# 실시간 대화 그룹 업데이트

PATCH https://api.elevenlabs.io/v1/convai/realtime/conversation-groups/{conversation_group_id}
Content-Type: application/json

실시간 대화 그룹의 이름 또는 설명을 변경합니다.

Reference: https://elevenlabs.io/docs/eleven-agents/api-reference/conversations/realtime-conversation-groups/update-conversation-group

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `conversation_group_id` (string, required) — 실시간 대화 그룹의 ID입니다.

### Body (application/json)

This endpoint expects an object.

- `title` (string, optional) — 대화 그룹의 이름입니다. 이름은 대소문자와 추가 공백을 무시하고 워크스페이스별로 고유해야 하며, 최대 64자까지 가능합니다.
- `description` (string, optional) — 대화 그룹의 새 설명입니다.

## Response

### 200

성공 응답

- `id` (string, required)
- `title` (string, required)
- `access_info` (ResourceAccessInfo, required)
- `sharing` (RealtimeConversationGroupSharingSummary, required) — 항상 액세스 권한이 있는 소유자와 워크스페이스 관리자를 제외하고, 그룹이 얼마나 광범위하게 공유되는지를 나타냅니다.
- `created_at_unix_secs` (integer, required)
- `description` (string, optional)

## Errors

### 422 Realtime Update Conversation Group Request Unprocessable Entity Error

유효성 검사 오류

- `detail` (list of ValidationError, optional)

## Types

### ResourceAccessInfo

- `is_creator` (boolean, required) — 요청을 수행하는 사용자가 에이전트의 생성자인지 여부입니다.
- `creator_name` (string, required) — 에이전트 생성자 이름
- `creator_email` (string, required) — 에이전트 생성자의 이메일
- `role` (enum, required) — 요청을 수행하는 사용자의 역할
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `anonymous_access_level_override` (enum, optional) — 익명 사용자의 액세스 수준입니다. None이면 리소스가 공개적으로 공유되지 않습니다.
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `access_source` (enum, optional) — 요청한 사용자가 이 리소스에 액세스할 수 있는 이유입니다. 'creator' = 호출자가 소유자입니다. 'explicit' = 호출자(또는 호출자의 워크스페이스 그룹 중 하나)가 워크스페이스 전체 everyone 그룹 외에 role_to_group_ids에 등록되어 있습니다. 'workspace_default' = 워크스페이스 전체 everyone 그룹이 role_to_group_ids에 등록되어 있습니다(관리자를 포함한 모든 비익명 워크스페이스 구성원이 이 리소스를 볼 수 있습니다). 'workspace_admin' = 호출자가 워크스페이스 관리자이며 관리자 시트가 액세스할 수 있는 *유일한* 경로입니다. 다른 누구도 볼 수 없는 문서에 사용됩니다. UI에서 관리자 우회 뷰어가 명시적으로 공유되지 않은 문서를 볼 수 있는 이유를 표시할 수 있습니다.
  - Allowed values: `creator`, `explicit`, `workspace_admin`, `workspace_default`

### RealtimeConversationGroupSharingSummary

항상 액세스 권한이 있는 소유자와 워크스페이스 관리자를 제외하고, 그룹이 얼마나 광범위하게 공유되는지를 나타냅니다.

- `people_count` (integer, required) — 소유자를 제외하고 액세스 권한이 있는 고유 사용자 수입니다. 직접 공유되었는지, 소속된 워크스페이스 그룹을 통해 공유되었는지와 관계없습니다.
- `shared_with_everyone` (boolean, optional, default: false) — 모든 워크스페이스 구성원이 그룹에 액세스할 수 있는지 여부입니다.
- `everyone_role` (enum, optional) — 모든 사용자와 공유할 때 각 워크스페이스 구성원이 갖는 사전 설정 역할입니다. 워크스페이스 사용자 지정 역할의 경우 None입니다.
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItem

- string
- integer

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "id": "id",
  "title": "title",
  "access_info": {
    "is_creator": true,
    "creator_name": "John Doe",
    "creator_email": "john.doe@example.com",
    "role": "admin",
    "anonymous_access_level_override": "admin",
    "access_source": "creator"
  },
  "sharing": {
    "people_count": 1,
    "shared_with_everyone": true,
    "everyone_role": "admin"
  },
  "created_at_unix_secs": 1,
  "description": "description"
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/convai/realtime/conversation-groups/conversation_group_id"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/convai/realtime/conversation-groups/conversation_group_id';
const options = {method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/realtime/conversation-groups/conversation_group_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/realtime/conversation-groups/conversation_group_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.elevenlabs.io/v1/convai/realtime/conversation-groups/conversation_group_id")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.elevenlabs.io/v1/convai/realtime/conversation-groups/conversation_group_id', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/realtime/conversation-groups/conversation_group_id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/realtime/conversation-groups/conversation_group_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```